From bbc3f2fc62fafbb05d08a0f7fd8e77781657a20b Mon Sep 17 00:00:00 2001
From: MatthewLi <matthew.lijun@huawei.com>
Date: Wed, 6 Jan 2016 05:13:34 -0500
Subject: add debug function for vstf to test in lf openstack env

JIRA: BOTTLENECK-38

Change-Id: Ie1f44665c74ac8ea5f26cc75e571caafbb0999d7
Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
---
 ci/vstf_run.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100755 ci/vstf_run.sh

(limited to 'ci')

diff --git a/ci/vstf_run.sh b/ci/vstf_run.sh
new file mode 100755
index 00000000..f25195ab
--- /dev/null
+++ b/ci/vstf_run.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -ex
+
+BOTTLENECKS_REPO=https://gerrit.opnfv.org/gerrit/bottlenecks
+
+SCRIPT_DIR=`cd ${BASH_SOURCE[0]%/*};pwd`
+GERRIT_REFSPEC_DEBUG=$1
+
+if [ x"$GERRIT_REFSPEC_DEBUG" != x ]; then
+    git fetch $BOTTLENECKS_REPO $GERRIT_REFSPEC_DEBUG && git checkout FETCH_HEAD
+fi
+
+$SCRIPT_DIR/../utils/infra_setup/heat_template/vstf_heat_template/vstf_HOT_create_instance.sh $GERRIT_REFSPEC_DEBUG
+
+set +ex
+
-- 
cgit